<template>
    <require from="./set-date"></require>
    <require from="./date-format"></require>
    <require from="./alerts"></require>
    <alerts></alerts>
  <h1>${heading} ${editedIndex} (${dateTime | dateFormat})</h1>
  Current date: <input type="date" value.bind="date">
  <set-date date.two-way="date"></set-date>
  <ul>
      <li repeat.for="user of users">
          <input type="text" disabled.bind="!editMode || editedIndex !== $index" value.bind="user.firstName">
          <input type="text" disabled.bind="!editMode || editedIndex !== $index" value.bind="user.lastName">
          <button click.trigger=delete($index)>Delete</button>
          <button click.trigger=edit($index) show.bind="!editMode || editedIndex !== $index">Edit</button>
          <button click.trigger="save()" show.bind="editMode && editedIndex === $index">Save</button>
          <button click.trigger="cancel()" show.bind="editMode && editedIndex === $index">Cancel</button>
      </li>
  </ul>
  <form submit.trigger="add()">
      <label>First name</label>
      <input type="text" value.bind="firstName">
      <label>Last name</label>
      <input type="text" value.bind="lastName">
      <button type=""submit>Add</button>
  </form>
</template>
